<?php
require($_SERVER['DOCUMENT_ROOT'].'/site/config/php/lib.inc.php');
require($_SERVER['DOCUMENT_ROOT'].'/site/config/php/var.inc.php');
require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/php/lib.php');

//echo "<pre>";print_r($_POST);echo "</pre>";

// ID AUDITEUR
$sql_id	= dbquery("SELECT * FROM auditeurs WHERE login = '".$_POST['login']."' ORDER BY id DESC");

if(dbnumrows($sql_id)>0){
	$id		= dbresult_utf8($sql_id,0,"id");
}
else{
	Header("Location: temp_pass_form.php?error=".urlencode("Il y a une erreur de saisie. Veuillez réessayer.")."");
	exit();
}

//echo $id;

// MOT DE PASSE ENREGISTRÉ
$sql	= dbquery("SELECT * FROM auditeurs WHERE id = '".$id."' "); 
$pass	= dbresult_utf8($sql,0,"password");

// VERIFICATION CORRESPONDANCES MOTS DE PASSE
if( $_POST['new_pass'] <> $_POST['new_pass_confirm'] || $_POST['current_pass'] <> $pass ){
	Header("Location: temp_pass_form.php?error=".urlencode("Il y a une erreur de saisie. Veuillez réessayer.")."");
	exit();
}
// VERIFICATION NOMBRE CARACTERES (min 8)
elseif( strlen($_POST['new_pass'])<8 || strlen($_POST['new_pass_confirm'])<8 ){
	Header("Location: temp_pass_form.php?error=".urlencode("Votre mot de passe doit contenir au moins 8 caractères")."");
	exit();
}
// VERIFICATION CARACTERES ALPHANUMERIQUE
elseif( !ctype_alnum($_POST['new_pass'])){
	Header("Location: temp_pass_form.php?error=".urlencode("Votre mot de passe ne doit contenir que des caractères alphanumériques")."");
	exit();
}
// UPDATE
else{
	
	dbquery("
		UPDATE auditeurs 
		SET password = '".addslashes(utf8_decode($_POST['new_pass']))."'
		WHERE id = '".$id."'  
	");

	Header("Location: temp_pass_form.php?msg=".urlencode("Votre mot de passe a été changé avec succès")."");
	exit();
}

?>